SubmitFeedback
Submits feedback on a clinical document or a set of medical codes that Amazon Connect Health generated.
Request Syntax
POST /domain/domainId/feedback HTTP/1.1
Content-type: application/json
{
"artifactSourceId": "string",
"artifactType": "string",
"clientToken": "string",
"comments": "string",
"generatedArtifactS3Uri": "string",
"signedArtifactS3Uri": "string",
"subscriptionId": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- domainId
-
The unique identifier of the parent Domain.
Length Constraints: Minimum length of 20. Maximum length of 25.
Pattern:
(hai-|dom-)[a-z0-9]+Required: Yes
Request Body
The request accepts the following data in JSON format.
- artifactSourceId
-
The identifier of the artifact source. For a clinical document, this is the session ID. For a set of medical codes, this is the medical coding job ID.
Type: String
Length Constraints: Fixed length of 36.
Pattern:
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}Required: Yes
- artifactType
-
The type of artifact that you submit feedback for. The following values are valid:
-
CLINICAL_DOC is the clinical document generated for an ambient documentation session.
-
MEDICAL_CODES is the set of medical codes generated by a medical coding job.
Type: String
Valid Values:
CLINICAL_DOC | MEDICAL_CODESRequired: Yes
-
- clientToken
-
A unique, case-sensitive identifier that you provide to ensure that the operation completes no more than one time. If this token matches a previous request, the service ignores the request but does not return an error.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
Required: No
- comments
-
Optional comments about the feedback.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 4096.
Required: No
- generatedArtifactS3Uri
-
The Amazon S3 URI of the clinical document or set of medical codes that Amazon Connect Health generated.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 1024.
Pattern:
s3://[a-z0-9][\.\-a-z0-9]{1,61}[a-z0-9](/.*)?Required: No
- signedArtifactS3Uri
-
The Amazon Simple Storage Service (Amazon S3) URI of the final artifact that the clinician signed.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 1024.
Pattern:
s3://[a-z0-9][\.\-a-z0-9]{1,61}[a-z0-9](/.*)?Required: Yes
- subscriptionId
-
The unique identifier of the Subscription.
Type: String
Length Constraints: Fixed length of 25.
Pattern:
sub-[a-zA-Z0-9]{21}Required: No
Response Syntax
HTTP/1.1 202
Response Elements
If the action is successful, the service sends back an HTTP 202 response with an empty HTTP body.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
This error is thrown when the client does not supply proper credentials to the API.
HTTP Status Code: 401
- InternalServerException
-
This error is thrown when a transient error causes our API to fail.
HTTP Status Code: 500
- ResourceNotFoundException
-
This error is thrown when the requested resource is not found.
HTTP Status Code: 404
- ThrottlingException
-
This error is thrown when the client exceeds the allowed request rate.
HTTP Status Code: 429
- ValidationException
-
This error is thrown when the client supplies invalid input to the API.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: